Name:           gloox
Version:        0.9.9.3
Release:        2%{?dist}
Summary:        A rock-solid, full-featured Jabber/XMPP client library

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://camaya.net/gloox
Source0:        http://camaya.net/download/%{name}-%{version}.tar.bz2
Patch1:		gloox-no_ns_get16.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libtool, autoconf, automake
BuildRequires:  openssl-devel >= 0.9.8
BuildRequires:  gnutls-devel >= 1.2
BuildRequires:  zlib-devel >= 1.2.3
BuildRequires:  libidn-devel >= 0.5

%description
gloox is a rock-solid, full-featured Jabber/XMPP client library, written in
C++. It makes writing spec-compliant clients easy and allows for hassle-free
integration of Jabber/XMPP functionality into existing applications.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q
%patch1 -p1


%build
#autoreconf
%configure --disable-static
make %{?_smp_mflags}
mv -f AUTHORS AUTHORS.old
iconv -f iso8859-1 -t UTF-8 AUTHORS.old > AUTHORS


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog LICENSE README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_libdir}/pkgconfig/%{name}.pc
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*
%{_libdir}/*.so

%changelog
* Mon Feb 28 2008 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.9.3-1
- update upstream

* Sun Dec 2 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.7-2
- removed patch
- added undef for HAVE_RES_QUERY, HAVE_RES_QUERYDOMAIN, HAVE_DN_SKIPNAME
  see: https://mail.camaya.net/horde/whups/ticket/?id=52

* Wed Nov 28 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.7-1
- update upstream
- added patch to avoid dependecny problem on libresolv.so.2(GLIBC_PRIVATE)

* Mon Sep 17 2007 Jan ONDREJ (SAL) <ondrejj(at)salstar.sk> - 0.9.4.1-1
- first release
